Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1544962 - AArch64 EFI systems default to MBR rather than GPT partitioning
Summary: AArch64 EFI systems default to MBR rather than GPT partitioning
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-blivet
Version: 28
Hardware: aarch64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Blivet Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ARMTracker 1623882
TreeView+ depends on / blocked
 
Reported: 2018-02-13 21:19 UTC by Paul Whalen
Modified: 2018-09-21 19:18 UTC (History)
17 users (show)

Fixed In Version: python-blivet-3.1.0-2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1623882 (view as bug list)
Environment:
Last Closed: 2018-09-21 19:18:02 UTC
Type: Bug


Attachments (Terms of Use)
storage log (191.16 KB, text/plain)
2018-02-13 21:20 UTC, Paul Whalen
no flags Details
program log (71.38 KB, text/plain)
2018-02-13 21:20 UTC, Paul Whalen
no flags Details
packaging log (187.50 KB, text/plain)
2018-02-13 21:21 UTC, Paul Whalen
no flags Details
lvm log (189.94 KB, text/plain)
2018-02-13 21:21 UTC, Paul Whalen
no flags Details
anaconda log (47.79 KB, text/plain)
2018-02-13 21:22 UTC, Paul Whalen
no flags Details

Description Paul Whalen 2018-02-13 21:19:19 UTC
Description of problem:
On a default install on aarch64 efi systems, the disk uses MBR partitioning rather than the expected GPT. 

Version-Release number of selected component (if applicable):
anaconda-28.18-1.fc28

[root@mustang ~]# fdisk -l /dev/sda
Disk /dev/sda: 465.8 GiB, 500107862016 bytes, 976773168 sectors
Units: sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disklabel type: dos
Disk identifier: 0x150a0811

Device     Boot   Start       End   Sectors   Size Id Type
/dev/sda1  *       2048    411647    409600   200M  6 FAT16
/dev/sda2        411648   2508799   2097152     1G 83 Linux
/dev/sda3       2508800 976773119 974264320 464.6G 8e Linux LVM

Expected:
(from an F27 install)
[root@mustang ~]# fdisk -l /dev/sda
Disk /dev/sda: 465.8 GiB, 500107862016 bytes, 976773168 sectors
Units: sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disklabel type: gpt
Disk identifier: 38B8E1F8-CF01-4361-A40B-734340EEF356

Device       Start       End   Sectors   Size Type
/dev/sda1     2048    411647    409600   200M EFI System
/dev/sda2   411648   2508799   2097152     1G Linux filesystem
/dev/sda3  2508800 976773119 974264320 464.6G Linux LVM

Comment 1 Paul Whalen 2018-02-13 21:20:08 UTC
Created attachment 1395656 [details]
storage log

Comment 2 Paul Whalen 2018-02-13 21:20:35 UTC
Created attachment 1395657 [details]
program log

Comment 3 Paul Whalen 2018-02-13 21:21:04 UTC
Created attachment 1395658 [details]
packaging log

Comment 4 Paul Whalen 2018-02-13 21:21:30 UTC
Created attachment 1395659 [details]
lvm log

Comment 5 Paul Whalen 2018-02-13 21:22:00 UTC
Created attachment 1395660 [details]
anaconda log

Comment 6 Peter Robinson 2018-02-14 11:21:09 UTC
This logic is handled in blivet. It's changed a lot since I last looked at it but I suspect some logic was lost in upstream commit ebd43b67aaeae8bd969c5ef9ba7280a03f8f4935

Comment 7 Fedora End Of Life 2018-02-20 15:34:48 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 8 Peter Robinson 2018-08-14 14:53:37 UTC
There's a fix in PR: https://github.com/storaged-project/blivet/pull/715

Comment 9 Peter Robinson 2018-08-29 18:12:22 UTC
For reference this is now merged upstream. The commit is:

https://github.com/storaged-project/blivet/commit/e75049e9e9edac9da789cee2add2b4190159805d

Comment 10 Fedora Update System 2018-08-30 15:19:28 UTC
anaconda-29.24.2-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-85853d46b5

Comment 11 Fedora Update System 2018-08-31 16:22:01 UTC
anaconda-29.24.2-1.fc29, python-blivet-3.1.0-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-85853d46b5

Comment 12 Paul Whalen 2018-09-21 19:18:02 UTC
Verified fixed in F29 Beta.


Note You need to log in before you can comment on or make changes to this bug.